/**
 * @function removeDivByClass
 * @description 根据class删除节点
 * @param {string} name - 类名
 */
const removeDivByClass = (name) => {
    const div = document.getElementsByClassName(name);
    if (div) {
        const box = div[0];
        if (box && box.parentNode) {
            box.parentNode.removeChild(box);
        }
    }
};
/**
 * @function hideDivByClass
 * @description 根据class隐藏节点
 * @param {string} name - 类名
 */
const hideDivByClass = (name) => {
    const div = document.getElementsByClassName(name);
    if (div) {
        const box = div[0];
        if (box && box.style) {
            box.style.display = 'none';
        }
    }
};
/**
 * @function getDivByClass
 * @description 根据class获取节点
 * @param {string} name - 类名
 */
const getDivByClass = (name) => {
    const div = document.getElementsByClassName(name);
    return div;
};
export { removeDivByClass, hideDivByClass, getDivByClass };
